%global srcname testtools

%bcond_without bootstrap
%bcond_with doc

Summary:        Extensions to the Python standard library unit testing framework
Name:           python-%{srcname}
Version:        2.6.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/testing-cabal/testtools
Source0:        %{pypi_source}

BuildArch:      noarch

%description
testtools is a set of extensions to the Python standard library's unit testing
framework.

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{srcname}
testtools is a set of extensions to the Python standard library's unit testing
framework.

%if %{without bootstrap}
%if %{with doc}
%package        doc
Summary:        Documentation for %{name}
BuildRequires:  make python3-sphinx
Provides:       bundled(jquery)

%description doc
This package contains HTML documentation for %{name}.
%endif
%endif

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{!?with_bootstrap:-x test}

%build
%pyproject_wheel

%if %{without bootstrap}
%if %{with doc}
make -C doc html
%endif
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{without bootstrap}
PYTHONPATH=%{buildroot}%{python3_sitelib} %{python3} -m testtools.run testtools.tests.test_suite
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc NEWS README.rst

%if %{without bootstrap}
%if %{with doc}
%files doc
%doc doc/_build/html/*
%endif
%endif

%changelog
* Fri Sep 22 2023 rockerzhu <rockerzhu@tencent.com> - 2.6.0-1
- Upgrade to 2.6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.5.0-1
- Initial build
